Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Teamspeak lässt sich nicht mehr starten
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Sat Jul 09, 2011 5:06 pm    Post subject: [gelöst] Teamspeak lässt sich nicht mehr starten Reply with quote

Hallo Leute

Habe Teamspeak jetzt die letzten 2 Wochen nicht verwendet. Wollte das Teil heute starten und bekam folgende Fehlermeldung:
Code:
2011-07-09 19:04:11.249142|INFO    |MPSingleton   |   | Detected local codeset to be: UTF-8
2011-07-09 19:04:11.249555|INFO    |              |   | Logging started, clientlib version: 3.0.0-rc2 [Build: 14642]
Inconsistency detected by ld.so: dl-deps.c: 622: _dl_map_object_deps: Assertion `nlist > 1' failed!

Wenn man dann nach der letzten Zeile googelt kommen tatsächlich jede Menge Ergebnisse daher. Das meiste im Zusammenhang mit Glibc, ich hab dann mal alles was Glibc anbelangt und auch Teamspeak mal neu gebaut. Das hat noch nicht geholfen. Wo könnte denn der Fehler hierbei liegen?

lg
boospy


Last edited by boospy on Thu Jul 14, 2011 7:28 pm; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sat Jul 09, 2011 6:43 pm    Post subject: Reply with quote

Hi boospy

Das Problem ist halt das man Binärpakete, wie zb teamspeak-*-bin nicht neu kompatibel zur aktuellen glibc bauen kann..
Schau doch mal ob du in diesem Thread
[ FIXED ] glibc-2.13-r3 breaks multiple packages was hilfreiches findest.

Viel Erfolg
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Sat Jul 09, 2011 8:12 pm    Post subject: Reply with quote

Hallo Josef

Was hältst du persönlich von nem Downgrade auf Version 2.13-r2 oder sogar auf 2.12?
Ein Fix kommt das ist schon klar, aber ist man nicht besser dran bei manchen Paketen doch auf Stable zu setzen?

Bei Python und Perl mach ich das schon immer so, da ich nicht dauernd nen Perlcleaner, oder den Pythonupdater durchlaufen lassen möchte.

lg
boospy
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sat Jul 09, 2011 8:23 pm    Post subject: Reply with quote

Hmm.. nein, ein downgrade bei glibc würde ich eher nicht machen, das kann recht kritisch sein.
In wiefern dies nun auch von 2.13-r3 zurück auf 2.13-r2 zutrifft kann ich aber nicht beurteilen.
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Sat Jul 09, 2011 8:32 pm    Post subject: Reply with quote

Na, gut dann wart ich mal bis es gefixt ist (hoffentlich bald, ansonsten halt selbst patchen), und dann frier ich es ein bis zum nächsten Stabel, oder gezwungenen Update.

lg
boospy
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Mon Jul 11, 2011 8:50 pm    Post subject: Reply with quote

Schau doch mal ob der hier schon bereit gestellte Patch weiterhilft:
Bug 374107 - sys-libs/glibc-2.13-r3: Inconsistency detected by ld.so: dl-deps.c: 622: _dl_map_object_deps: Assertion `nlist > 1' failed!
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Thu Jul 14, 2011 9:07 am    Post subject: Reply with quote

Hi,
danke für den Link zum Bugreport. Ich stand mit libreoffice-bin gerade vor dem gleichen Problem und bin natürlich prompt ohne Breitband unterwegs. Dachte schon, ich müsste aufs Briefeschreiben verzichten, aber der Fix hat's geradegebogen.
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Thu Jul 14, 2011 7:28 pm    Post subject: Reply with quote

Heute wurde eine gefixte Version von Glibc in Portage eingespielt. Funktioniert wieder super :)

lg
boospy
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum